;+
; Mission: ASO-S/HXI
;Purpose:
;  define hxi visibility structure
;Input:
;  None
;History:
;  2022/06/07, Weichen


PRO HXI_VIS__DEFINE


  vis = { hxi_vis, $
    isc: 0, $
    harm: 0, $
    erange: FLTARR(2), $
    trange: DBLARR(2), $
    u: 0.0, $
    v: 0.0, $
    obsvis: COMPLEX(0), $
    totflux: 0.0, $
    sigamp: 0.0, $
    chi2: 0.0, $
    xyoffset: FLTARR(2), $
    type: 'ordinary photon', $;string describing type of visibilities, ordinary photon, regularized photon, regularizes electron flux; yang220926
    units: '',$
    atten_state: 0, $
    count: 0.0, $ 
    norm_ph_factor: 0.0 $  
  }

END
