;+
; Mission     : ASO-S/HXI
; Puropse     : get GOES data for HXI GUI
; 20220813, v0.9, yang su

pro hxi_get_goesdata, trange =trange, goes_str = goes_str
 
    st = trange[0]
    et = trange[-1]
 
    ;a=ogoes(/quiet)
    a=obj_new('goes')   ;weichen, 2023/05/10
    
    a->set,tstart=atime(st),tend=atime(et),mode=0 ,/clean   ; ,sat='goes10'  ;, /yohkoh
    Goes_d=a->getdata()
    Goes_t=a->getdata(/times)
    Goes_utbase=a->get(/utbase)
    obj_destroy, a
  
    Goes_18=reform( Goes_d[*,0] )
    Goes_054=reform( Goes_d[*,1] )
    
    goes_unit='GOES FLUX (W m!u-2!n)'
    
    goes_str = { goes_t: goes_t, $
                 Goes_utbase: Goes_utbase,$
                 goes_d: goes_d, $
                 goes_unit: goes_unit}

end