
;Inputs:
; bkg_model - model1, current BKG detector data
;           - model2
;           - model3, before/after 48h DET data 
; tarray -  start of first time interval, and end of last tim interval, so input only one interval 
;Output:
; fluxs - 
; bkg_fluxs - 
; tims_array - 
; expts - 
; old version, not used
pro hxi_bkg_select,bkg_model=bkg_model,tarray = tarray,earray =earray,fit_model =fit_model,fit_trange=fit_trange, $
  replace_tim = replace_tim,bkg_fluxs = bkg_fluxs,fluxs =fluxs,tims_array=tims_array,expts = expts
  
  ;n_time=   n_elements(tarray[0,*])
  n_energy = n_elements(earray[0,*])

  hxi_get_counts4imaging,earray, tarray, counts_this, counts_bg_this, tot_counts, tot_counts_bg, cent_xy $ 
    ,tarray_out, expt_this
  expts = expt_this
;  tims = total(expt_this,/cumu)
;  tims_array = anytim(tarray[0])+tims
  tims_array = anytim(tarray_out) ;UT
  sz = size(counts_this) ;[ndet,tims,neng]
  ndet = sz[1] & ntims =sz[2] & neng =sz[3]
  
  this_trange = [tarray_out[0],tarray_out[-1]]
  
  if sz[0] eq 2 then neng = 1
  counts_rate = make_array(ndet,ntims,neng)
  counts_rate_bg = make_array(ndet,ntims,neng)
 
  for i=0,neng-1 do begin
    for j=0,ndet-1 do begin
      counts_rate[j,*,i] = counts_this[j,*,i]/expts
      counts_rate_bg[j,*,i] = counts_bg_this[j,*,i]/expts
    endfor
  endfor
  fluxs = counts_rate
  ;-------------------------------------------------------------
  ;-------------------------------------------------------------
  if bkg_model eq 'model1' then begin
    bkg_fluxs = counts_rate_bg
    
  endif

  if bkg_model eq 'model2' then begin
    


  endif

  if bkg_model eq 'model3' then begin
    ;not use avg bkg data, use interpol method.
    if not keyword_set(replace_tim) then replace_tim = 'before48'
;    if replace_tim eq 'before48' then tarray1 = atime(anytim(tarray)-3600.*24.*2.)
;    if replace_tim eq 'after48' then tarray1 = atime(anytim(tarray)+3600.*24.*2.)
    ;if replace_tim eq 'average48' then
;    hxi_get_counts4imaging, earray, tarray1, counts1, counts_bg1, tot_counts1 $
;      , tot_counts_bg1, cent_xy1, expt1
;    tims1 = total(expt1,/cumu)
;    ;stop
;    sz1 = size(counts1) ;[ndet,tims,neng]
;    ntims1 = sz1[2]
;    counts_rate1 = make_array(ndet,ntims1,neng)
;    counts_rate_bg1 = make_array(ndet,ntims1,neng)
;    for i=0,neng-1 do begin
;      for j=0,ndet-1 do begin
;        counts_rate1[j,*,i] = counts1[j,*,i]/expt1
;        counts_rate_bg1[j,*,i] = counts_bg1[j,*,i]/expt1
;      endfor
;    endfor
;    
;    itp_bg = make_array(ndet,ntims,neng)
;    for k=0,ndet-1 do begin
;      for l =0,neng-1 do begin
;        itp_bg[k,*,l] = interpol(counts_rate1[k,*,l],tims1,tims)
;      endfor
;    endfor
;   
;   bkg_fluxs = make_array(ndet,ntims,neng)
;   for m=0,neng-1 do begin
;    fact = average(counts_rate_bg[0,*,m])/average(counts_rate_bg1[0,*,m])
;    bkg_fluxs[*,*,m] =itp_bg[*,*,m] *fact
;   endfor
;   --use hxi_get_bkgdata_48h-----------------------------------------------------
    if replace_tim eq 'before48' then dtime= -3600.*24.*2.
    if replace_tim eq 'after48' then dtime = +3600.*24.*2.
    
    ;input this_trange,expts,earray; output counts_bkg,counts_bkgdet
    
    for i=0,neng-1 do begin
      earr = earray[*,i]
      hxi_get_bkgdata_48h,this_trange, expts, earr,crate_bkg,crate_bkgdet,counts_bkg,counts_bkgdet, dtime = dtime
      counts_rate_bg[*,*,i]= crate_bkg  *  ( total( counts_bg_this[0,*,i],2) / total( counts_bkgdet[0,*],2) )[0]
    endfor
    
  
    bkg_fluxs = counts_rate_bg
  endif


  
end